Name:                jts
Version:             1.15.0
Release:             1
Summary:             Java Topology Suite
License:             EPL-1.0 or BSD
URL:                 https://github.com/locationtech/jts
Source0:             https://github.com/locationtech/jts/archive/jts-%{version}/jts-jts-%{version}.tar.gz
BuildRequires:       maven-local mvn(com.googlecode.json-simple:json-simple) mvn(junit:junit)
BuildRequires:       mvn(org.apache.commons:commons-lang3) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.jdom:jdom2)
BuildArch:           noarch
%description
The LocationTech JTS Topology Suite (JTS) is an open source Java software
library that provides an object model for planar geometry together with a
set of fundamental geometric functions. JTS conforms to the Simple Features
Specification for SQL published by the Open GIS Consortium.  JTS is designed
to be used as a core component of vector-based geomatics software such as
geographical information systems. It can also be used as a general-purpose
library providing algorithms in computational geometry.

%package app
Summary:             JTS - Applications & tools
%description app
Applications & tools for working with JTS.

%package example
Summary:             JTS - Examples
%description example
Examples of working JTS code.

%package io
Summary:             JTS - IO
%description io
JTS Extension for to assist in read / write operations.

%package parent
Summary:             JTS - Parent POMs
%description parent
JTS - Parent POMs.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n jts-jts-%{version}
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-release-plugin
rm modules/core/src/test/java/test/jts/junit/SimpleTest.java
sed -i -e '/SimpleTest\.class/d' modules/core/src/test/java/test/jts/junit/MasterTester.java
%pom_remove_plugin :maven-assembly-plugin modules/tests modules/app
%mvn_alias org.locationtech.jts:jts-core com.vividsolutions:jts-core com.vividsolutions:jts
%mvn_alias org.locationtech.jts.io:jts-io-common com.vividsolutions:jts-io
%mvn_package ":jts-io*" jts-io
%mvn_package ":jts{,-modules}" jts-parent
%mvn_package ":jts-tests" jts-app

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}-core
%doc README.md USING.md MIGRATION.md
%license LICENSE*

%files app -f .mfiles-%{name}-app

%files example -f .mfiles-%{name}-example

%files io -f .mfiles-%{name}-io

%files parent -f .mfiles-%{name}-parent
%license LICENSE*

%files javadoc -f .mfiles-javadoc
%license LICENSE*

%changelog
* Wed Jul 29 2020 zhanghua <zhanghua40@huawei.com> - 1.15.0-1
- package init
